<?xml version="1.0" encoding="ISO-8859-1"?>

<document>

  <properties>
    <title>HttpClient Home</title>
    <author email="commons-dev@jakarta.apache.org">Commons Documentation Team</author>
    <author email="rwaldhoff@apache.org">Rodney Waldhoff</author>
    <author email="jsdever@apache.org">Jeff Dever</author>
    <revision>$Id: index.xml,v 1.9 2003/02/08 01:41:49 jsdever Exp $</revision>
  </properties>

  <body>
    <section name="Introduction">

      <p>
        The Hyper-Text Transfer Protocol (HTTP) is perhaps the most
        significant protocol used on the Internet today.
        Web services, network-enabled appliances and the growth
        of network computing continue to expand the role of the HTTP
        protocol beyond user-driven web browsers, while increasing the
        number of applications that require HTTP support.
      </p>
      <p>
        Although the <tt>java.net</tt>
        package provides basic functionality for accessing resources via HTTP,
        it doesn't provide the full flexibility or functionality needed
        by many applications.  The Jakarta Commons <em>HttpClient</em> 
        component seeks to fill this void
        by providing an efficient, up-to-date, and feature-rich package
        implementing the client side of the most recent HTTP standards
        and recommendations.  See the <a href="features.html">Features</a> page
        for more details on standards compliance and capabilities.
      </p>
      <p>
        Designed for extension while providing robust support for the
        base HTTP protocol, the <em>HttpClient</em> component may be of interest
        to anyone building HTTP-aware client applications such as web
        browsers, web service clients, or systems that leverage or extend
        the HTTP protocol for distributed communication.
      </p>
      <p>
        There are many projects that use <em>HttpClient</em> to provide the core HTTP functionality.
        Some of these are open source with project pages you can find on the web
        while others are closed source that you would never see or hear about.
        The Apache Source License provides maximum flexibility for source and binary
        reuse.  Please see the <a href="applications.html">Applications</a> page
        for projects using <em>HttpClient</em>.
      </p>
    </section>

  </body>

</document>
